> For the complete documentation index, see [llms.txt](https://apidocs.abit.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.abit.vn/san-pham/san-pham-bien-dong-ton.md).

# Sản phẩm - Biến động tồn

API cho phép lấy danh sách sản phẩm có tồn kho thay đổi trong 1h gần đây

URL API: [https://new.abitstore.vn](https://new.abitstore.vn/products/listProductsWithStockChangceforPartner)

<mark style="color:green;">`POST /`</mark>`products/listProductsWithStockChangceforPartner`

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Body**

<table><thead><tr><th width="149">Name</th><th width="95">Type</th><th>Description</th></tr></thead><tbody><tr><td>access_token</td><td>string</td><td>Mã Access token được khởi tạo và cấp quyền bởi chủ tài khoản Abit, Xem hướng dẫn tạo <a href="/gioi-thieu-ve-abit-open-api.md#khoi-tao-access-token"><mark style="color:red;"><strong>Access Token</strong></mark> </a></td></tr><tr><td>partner_name</td><td>string</td><td>Mã shop khi đăng ký Abit</td></tr><tr><td>productcode</td><td>string</td><td>Mã hàng sản phẩm, dùng khi bạn muốn lấy <mark style="color:$danger;"><strong>tồn kho một mã hàng</strong></mark> trên tài khoản của shop</td></tr><tr><td>productstoreid</td><td>int</td><td>ID kho hàng, chi nhánh</td></tr></tbody></table>

{% tabs %}
{% tab title="Body" %}

```json
{
  "access_token":"Zjg5ZDYzNmFmOGFkYmQwODVmMzVmOWM4YTRlMDFiMWQ=",
  "partner_name":"Abit",
  "productcode":"ABC-001",
  "productstoreid":1
}
```

{% endtab %}

{% tab title="Response" %}

```json
[
    {
        "productcode": "FB04-NGUA-XANH",
        "productname": "Phao Tay Cho Bé Tập Bơi Từ 1-6 Tuổi Hoạt Hình FB04 - Ngựa Pony Xanh - FB04-NGUA-XANH",
        "alias": null,
        "usageunit": "Đôi",
        "gia_daily": "36000.000",
        "unit_price": "36000.000",
        "imagename": "[{\"id\":1,\"isDefault\":true,\"imgSrc\":\"https://cf.shopee.vn/file/sg-11134201-23020-h5eq5hloa6mv08\"}]",
        "productid": 40896580,
        "weight": "70",
        "taxpercentage": "8.000",
        "vitri": "",
        "inventorytype": 0,
        "updated_date": "2026-09-25 16:06:40",
        "status": 1,
        "tonkho_toithieu": 0,
        "tonkho_toida": 0,
        "default_image": null,
        "productcategory": "",
        "brandid": 0,
        "brandname": "",
        "slton": "7.000",
        "tong_hang_dang_ve": "0"
    },
    {
        "productcode": "T31S",
        "productname": "Tất chân trẻ em,chất liệu dệt kim bằng sợi tổng hợp (100% sợi polyester). Loại dày, đẹp. kích thước: (18.5*3.5*1.2)cm +-10% .1 bộ = 5 đôi (1 đôi 2 cái)",
        "alias": null,
        "usageunit": "Bộ",
        "gia_daily": "190000.000",
        "unit_price": "190000.000",
        "imagename": "[]",
        "productid": 40902646,
        "weight": "140",
        "taxpercentage": "8.000",
        "vitri": "",
        "inventorytype": 0,
        "updated_date": "2026-09-25 16:06:40",
        "status": 1,
        "tonkho_toithieu": 0,
        "tonkho_toida": 0,
        "default_image": "",
        "productcategory": "",
        "brandid": 0,
        "brandname": "",
        "slton": "461.000",
        "tong_hang_dang_ve": "0"
    }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.abit.vn/san-pham/san-pham-bien-dong-ton.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
